# Set the path where logs will be saved (could be defined as anything
# and set elsewhere, not part of package but named arbitrarily

log4j.logDirectory=/var/tomcat/logs

# Set root logger level and appender(s)
log4j.rootLogger=WARN, R1
log4j.additivity.rootLogger=false
log4j.logger.com=WARN, R1
log4j.additivity.com=false

# A1 is set to be a ConsoleAppender.
log4j.appender.A1=org.apache.log4j.ConsoleAppender
log4j.appender.A1.layout=org.apache.log4j.PatternLayout
log4j.appender.A1.layout.ConversionPattern==%d %r %p %c (%F:%L) - %m%n

# R1
log4j.appender.R1=org.apache.log4j.RollingFileAppender
log4j.appender.R1.File=${log4j.logDirectory}/testbank.log
log4j.appender.R1.MaxFileSize=100KB
log4j.appender.R1.MaxBackupIndex=20
log4j.appender.R1.layout=org.apache.log4j.PatternLayout
log4j.appender.R1.layout.ConversionPattern=%d %r %p %c (%F:%L) - %m%n